Rated 5 out of 5 stars

Add-on Update Checker 2.0 works like a charm with FF 10.0.7 ESR. No more RAM needed with this extension. Thanks Chris!

This review is for a previous version of the add-on (2.0).